io.vertx.rxjava.ext.web.handler.sockjs

## Class BridgeEvent

- java.lang.Object
- - io.vertx.rxjava.core.Future<Boolean>
  - - io.vertx.rxjava.ext.web.handler.sockjs.BridgeEvent

-     public class BridgeEvent
      extends Future<Boolean>

  Represents an event that occurs on the event bus bridge.

  Please consult the documentation for a full explanation.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BridgeEvent(BridgeEvent delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getDelegate()`
    `static BridgeEvent` | `newInstance(BridgeEvent arg)`
    `JsonObject` | `rawMessage()` Get the raw JSON message for the event.
    `SockJSSocket` | `socket()` Get the SockJSSocket instance corresponding to the event
    `BridgeEvent.Type` | `type()`

    - ### Methods inherited from class io.vertx.rxjava.core.Future

      `complete, complete, fail, failedFuture, future, isComplete, newInstance, setHandler, setHandlerObservable, succeededFuture, succeededFuture`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BridgeEvent

          public BridgeEvent(BridgeEvent delegate)

  - ### Method Detail

    - #### getDelegate

          public Object getDelegate()

      Overrides:
        `getDelegate` in class `Future<Boolean>`

    - #### type

          public BridgeEvent.Type type()

      Returns:
        the type of the event

    - #### rawMessage

          public JsonObject rawMessage()

      Get the raw JSON message for the event. This will be null for SOCKET_CREATED or SOCKET_CLOSED events as there is no message involved.
      Returns:
        the raw JSON message for the event

    - #### socket

          public SockJSSocket socket()

      Get the SockJSSocket instance corresponding to the event
      Returns:
        the SockJSSocket instance

    - #### newInstance

          public static BridgeEvent newInstance(BridgeEvent arg)

Copyright © 2015. All Rights Reserved.